%global make_common_opts \\\
	PREFIX=%{_prefix} \\\
	SYSCONF_DIR=%{_sysconfdir} \\\
	DATAROOT_DIR=%{_datadir} \\\
	DESTDIR=%{buildroot} \\\
	%{nil}


Name:		ovirt-engine-extension-aaa-jdbc
Version:	1.2.0
Release:	1%{?dist}
Summary:	oVirt Engine Local Users Management Extension
Group:		%{ovirt_product_group}
License:	ASL 2.0
URL:		http://www.ovirt.org
Source0:	%{name}-%{version}.tar.gz

# We need to disable automatic generation of "Requires: java-headless >= 1:11"
# by xmvn, becase JDK 11 doesn't provide java-headless artifact, but it
# provides java-11-headless.
AutoReq:	no

BuildArch:	noarch

BuildRequires:	java-11-openjdk-devel
BuildRequires:	maven-local
BuildRequires:	mvn(org.apache.maven.plugins:maven-compiler-plugin)
BuildRequires:	mvn(org.apache.maven.plugins:maven-source-plugin)

BuildRequires:	mvn(commons-codec:commons-codec)
BuildRequires:	mvn(com.fasterxml.jackson.core:jackson-core)
BuildRequires:	mvn(com.fasterxml.jackson.core:jackson-databind)
BuildRequires:	mvn(org.apache.commons:commons-lang)
BuildRequires:	mvn(org.ovirt.engine.api:ovirt-engine-extensions-api)
BuildRequires:	mvn(org.slf4j:slf4j-api)
BuildRequires:	mvn(org.slf4j:slf4j-jdk14)

Requires:	java-11-openjdk-headless >= 1:11.0.0
Requires:	javapackages-filesystem
Requires:	apache-commons-codec
Requires:	apache-commons-lang
Requires:	jackson-core
Requires:	jackson-databind
Requires:	ovirt-engine-extensions-api
Requires:	slf4j
Requires:	slf4j-jdk14


%description
This package contains the oVirt Engine Local Users Management Extension
to manage users stored in PostgreSQL database.


%prep
%setup -c -q


%build
# Necessary to override the default for xmvn, which is JDK 8
export JAVA_HOME="/usr/lib/jvm/java-11-openjdk"

%mvn_build -j


%install
make %{make_common_opts} install
%mvn_install

%files -f .mfiles
%license LICENSE
%dir %{_javadir}/%{name}
%doc README.admin
%doc README.developer
%{_datadir}/%{name}/
%{_sysconfdir}/ovirt-engine/engine.conf.d/50-%{name}.conf
%{_bindir}/ovirt-aaa-jdbc-tool


%changelog
* Fri Feb 14 2020 Martin Perina <mperina@redhat.com> 1.2.0-1
- Use maven to build the project
- Use OpenJDK 11 to build the project
- Use ovirt-engine-extensions-api >= 1.0.1

* Fri Nov 22 2019 Martin Perina <mperina@redhat.com> 1.1.90-1
- Fixed bug 1714633
- Allow aaa-jdbc-tool to be executed with OpenJDK 11

* Wed Mar 06 2019 Martin Perina <mperina@redhat.com> 1.1.10-1
- Fixed bug 1685968

* Mon Mar 04 2019 Martin Perina <mperina@redhat.com> 1.1.9-1
- Fixed bug 1619391

* Fri Nov 23 2018 Martin Perina <mperina@redhat.com> 1.1.8-1
- Fix Fedora build issues

* Wed Feb 14 2018 Martin Perina <mperina@redhat.com> 1.1.7-1
- Add missing indexes
- Use NativePRNG instead of SHA1PRNG

* Wed Jul 12 2017 Martin Perina <mperina@redhat.com> 1.1.6-1
- Contains fix for last minute issue found when verifying bug 1389673

* Thu May 19 2017 Martin Perina <mperina@redhat.com> 1.1.5-1
- Fixed bug 1389673

* Thu Feb 09 2017 Martin Perina <mperina@redhat.com> 1.1.4-1
- Fixed bug 1415704

* Mon Jan 30 2017 Martin Perina <mperina@redhat.com> 1.1.3-1
- Fixed bug 1416935

* Fri Nov 18 2016 Martin Perina <mperina@redhat.com> 1.1.2-1
- Fixed bug 1391154
- Newly required OpenJDK 1.8 to support new langiage features

* Tue Oct 11 2016 Martin Perina <mperina@redhat.com> 1.1.1-1
- Fixed bug 1373111
- Fixed wrong return state when add group failed after group was added to db

* Thu May 26 2016 Martin Perina <mperina@redhat.com> 1.1.0-1
- Removes EL6 support
- Fixed classloading issue in WildFly 10

* Fri Apr 15 2016 Martin Perina <mperina@redhat.com> 1.0.7-1
- Fixed bug 1304368

* Thu Jan 28 2016 Martin Perina <mperina@redhat.com> 1.0.6-1
- Fixed bugs 1299773, 1299793

* Tue Jan 05 2016 Martin Perina <mperina@redhat.com> 1.0.5-1
- Fixes documentation about upgrading aaa-jdbc (bug 1293338)

* Fri Nov 27 2015 Martin Perina <mperina@redhat.com> 1.0.4-1
- Finally fixed bug 1241879

* Mon Nov 23 2015 Martin Perina <mperina@redhat.com> 1.0.3-1
- Fixed bug 1283936

* Fri Nov 06 2015 Martin Perina <mperina@redhat.com> 1.0.2-1
- Fixed bugs 1277398, 1241883, 1241879, 1275667

* Mon Oct 19 2015 Martin Perina <mperina@redhat.com> 1.0.1-1
- Fixed bugs 1269870, 1270821, 1241851

* Tue Oct 06 2015 Martin Perina <mperina@redhat.com> 1.0.0-1
- Initial release

